Subject: Re: [d80211] connecting to B-mode AP

From: mabbas <[email-masked]>
Date: Fri, 15 Sep 2006 16:50:41 -0700

I see your point here, although some one will file some bugs against the 
driver about showing G while associating with B-mode AP. By the way how 
can you figure if the AP is B/G other than the rates?

Simon Barber wrote:
> But it's not the AP connection type that determines what rates are
> available - it's the available rate set - this is independent of whether
> the card is B or G. A G AP may only advertise B rates, even though it's
> a G AP. I still don't see any need to change the phytype.
>
> Simon
>
>
> -----Original Message-----
> From: mabbas [mailto:[email-masked]] 
> Sent: Friday, September 15, 2006 10:19 AM
> To: Simon Barber
> Cc: [email-masked]
> Subject: Re: [d80211] connecting to B-mode AP
>
> Simon Barber wrote:
>   
>> Why is it necessary to set phymode to B? - a G client can connect 
>> perfectly well to a B AP.
>>   
>>     
> We need this information for rate scaling and we need to send the NIC
> different command depends on the AP connection type.
> Mohamed
>   
>> Simon
>>
>> -----Original Message-----
>> From: [email-masked] 
>> [mailto:[email-masked]]
>> On Behalf Of mabbas
>> Sent: Thursday, September 14, 2006 4:25 PM
>> To: [email-masked]
>> Subject: [d80211] connecting to B-mode AP
>>
>> When I connect to b-mode only AP and then run iwconf it shows it as a 
>> G-mode AP. I guess when we set frequency it look through all the modes
>>     
>
>   
>> and set the mode to the first channel it founds. since B and G share 
>> the same frequencies it will set phymode to G. How can we force it to 
>> set phymode to the AP we are associating with.
>> -
>> To unsubscribe from this list: send the line "unsubscribe netdev" in 
>> the body of a message to [email-masked] More majordomo info
>>     
>
>   
>> at http://vger.kernel.org/majordomo-info.html
>> -
>> To unsubscribe from this list: send the line "unsubscribe netdev" in 
>> the body of a message to [email-masked] More majordomo info
>>     
>
>   
>> at  http://vger.kernel.org/majordomo-info.html
>>   
>>     
> -
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>